Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins
Class PluginException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.digester3.plugins.PluginException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PluginInvalidInputException

    public class PluginException

extends Exception

Thrown when some plugin-related error has occurred, and none of the other exception types are appropriate.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`PluginException(String msg)`
`PluginException(String msg, Throwable cause)`
`PluginException(Throwable cause)`

Method Summary
`Throwable` | `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginException

    public PluginException(Throwable cause)

Parameters:
  `cause` - underlying exception that caused this to be thrown

### PluginException

    public PluginException(String msg)

Parameters:
  `msg` - describes the reason this exception is being thrown.

### PluginException

    public PluginException(String msg,
                           Throwable cause)

Parameters:
  `msg` - describes the reason this exception is being thrown.
  `cause` - underlying exception that caused this to be thrown

Method Detail

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the underlying exception that caused this to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.